/*
 * Project: Bluetooth Net Monitor
 * Author: Zak Kemble, contact@zakkemble.co.uk
 * Copyright: (C) 2013 by Zak Kemble
 * License: GNU GPL v3 (see License.txt)
 * Web: http://blog.zakkemble.co.uk/bluetooth-net-monitor-v2/
 */

#include <regex.h>
#include "typedefs.h"
#include "email.h"
#include "updater.h"

static void processData(s_memoryChunk*);

static s_updateData* uptData;

void email_init()
{
	updater_construct(
		&uptData,
		"emailpage",
		"emailuser",
		"emailpass",
		"emailregex",
		"emailcachetime",
		&processData,
		sizeof(bool)
		);
}

void email_update()
{
	updater_run(uptData);
}

bool email_get()
{
	return *(bool*)uptData->data;
}

void email_end()
{
	updater_destroy(&uptData);
}

static void processData(s_memoryChunk* chunk)
{
	regmatch_t matches[2];

	int regexRes = regexec(&uptData->reg, chunk->memory, 2, matches, 0);
	if(regexRes == 0)
		*((bool*)uptData->data) = updater_getMatchNum(&matches[1], chunk) > 0;
}